Android OS requirement will be revised

Just wanted to give an advanced warning for the Survey Solutions users that the minimal required version of the Android OS will be increased soon.

We are currently still requiring Android 5.0 as a minimum, but this will be increased to Android 8.0 as per announcement in the recent release notes:

For users planning to conduct operations with Survey Solutions in the future, please take this into the account and do not stock tablets, which can’t be updated to at least 8.0.

Please note that this doesn’t mean that 8.0 is recommended. In fact Android versions 9.0 and below are no longer receiving security updates as per Android version history - Wikipedia and thus are potentially vulnerable to new threats.

For the current users, check if OS updates are available and update if possible.

At the moment we don’t have the exact date or version number when the requirement will be increased, but this change is coming, and we will update our requirements online and mention in the release notes when this happens.

The last such change happened in June 2019, which increased the minimum OS requirements from Android 4.4 to Android 5.0. We try to keep such changes to a minimum and only increase the requirements when absolutely needed.